Package org.gradle.api.plugins

# Class GroovyBasePlugin

java.lang.Object
org.gradle.api.plugins.GroovyBasePlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class GroovyBasePlugin extends Object implements Plugin<Project>
Extends `JavaBasePlugin` to provide support for compiling and documenting Groovy source files.

See Also:
  - Groovy plugin reference

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GROOVY_RUNTIME_EXTENSION_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyBasePlugin(ObjectFactory objectFactory, org.gradle.api.internal.classpath.ModuleRegistry moduleRegistry, org.gradle.api.plugins.jvm.internal.JvmLanguageUtilities jvmPluginServices)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GROOVY_RUNTIME_EXTENSION_NAME

    public static final String GROOVY_RUNTIME_EXTENSION_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GroovyBasePlugin

    @Inject public GroovyBasePlugin(ObjectFactory objectFactory, org.gradle.api.internal.classpath.ModuleRegistry moduleRegistry, org.gradle.api.plugins.jvm.internal.JvmLanguageUtilities jvmPluginServices)

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object